/*
 * Copyright (C) 2016 Stuart Howarth <showarth@marxoft.co.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 1.0
import org.hildon.components 1.0

/*!
    \class ApplicationWindow
    \brief A Window with a WindowStack.
    
    \ingroup components
    
    The ApplicationWindow component is a Window component that has a WindowStack. ApplicationWindow is typically used 
    as the main window of the application.
    
    \include window.qml
    
    \sa WindowStack
*/
Window {
    id: root
    
    /*!
        type:WindowStack
        \brief The WindowStack belonging to the window.
    */
    property alias windowStack: stack
    
    WindowStack {
        id: stack
        
        rootWindow: root
    }
}
